﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGHideHeadersDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            
            for(int i=0; i<10; i++)
            {
                SampleData sd = new SampleData() { ID = i, Label = "Parent " + i.ToString(), Number = r.Next(1000) };
                sd.Children = new ObservableCollection<SampleData>();

                for(int j=0; j<5; j++)
                {
                    SampleData child = new SampleData() { ID = j, Label = "Child " + j.ToString(), Number = r.Next(1000), IsChildRecord = true };
                    child.Children = new ObservableCollection<SampleData>();

                    for(int k=0; k<3; k++)
                    {
                        SampleData grandChild = new SampleData() { ID = k, Label = "Grandchild " + k.ToString(), Number = r.Next(1000), IsChildRecord = true };
                        child.Children.Add(grandChild);
                    }

                    sd.Children.Add(child);
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set; }
        public bool IsChildRecord { get; set; }
        public ObservableCollection<SampleData> Children { get; set; }
    }
}
